> ## Documentation Index
> Fetch the complete documentation index at: https://doc.agentfirst.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Async results

> Retrieve the results or status of a queued search – use `GET /search?id=...`.



## OpenAPI

````yaml get /search/results
openapi: 3.1.0
info:
  title: Agent First
  description: The missing services for agent-first development.
  version: 1.0.0
servers:
  - url: https://api.agentfirst.dev
security:
  - bearerAuth: []
paths:
  /search/results:
    get:
      summary: Async results
      description: >-
        Retrieve the results or status of a queued search – use `GET
        /search?id=...`.
      parameters:
        - name: id
          description: >-
            The identifier returned by the [search endpoint](../search) of the
            queued search to retrieve.
          schema:
            type: string
            format: uuid
            example: 078fd246-f0f7-44a0-aabb-cadd7b12454f
          in: query
          required: true
      responses:
        '200':
          description: The search results or status.
          content:
            text/html:
              schema:
                type: string
            application/json:
              schema:
                type: object
                properties:
                  status:
                    description: The status of the queued search.
                    allOf:
                      - $ref: '#/components/schemas/Status'
                required:
                  - status
        '401':
          $ref: '#/components/responses/authenticationError'
        '402':
          $ref: '#/components/responses/creditsError'
        '403':
          $ref: '#/components/responses/authorizationError'
        '422':
          $ref: '#/components/responses/paramsError'
        '500':
          $ref: '#/components/responses/unknownError'
      deprecated: true
components:
  schemas:
    Status:
      summary: Job status
      type: string
      enum:
        - retrieving
        - archiving
        - successful
        - failed
      example: retrieving
  responses:
    authenticationError:
      description: The authorization header was missing.
      content:
        text/plain:
          schema:
            type: string
            example: Authorization header must be provided
    creditsError:
      description: No more credits are available.
      content:
        text/plain:
          schema:
            type: string
            example: Credit balance is 0; top up at https://agentfirst.dev/#pricing
    authorizationError:
      description: The API token was invalid.
      content:
        text/plain:
          schema:
            type: string
            example: Valid API token must be provided
    paramsError:
      description: One or more parameters were invalid.
      content:
        text/plain:
          schema:
            type: string
            example: Character counts must be no more than 255
    unknownError:
      description: An unknown error occurred.
      content:
        text/plain:
          schema:
            type: string
            example: Unknown error occurred
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````